11 Replies Latest reply: Mar 29, 2011 5:24 AM by henk de boer RSS

jboss-6.0.0.Final: DeploymentException: 'No module with relative path' problem

Benjamin Seyinbour Expert

Hello JBoss World,,

 

Please refer to my previous discussion "DeploymentException: 'No module with relative path' problem". I have just downloaded Jboss-6.0.0.Final and try to run my ear currently running on JBoss-5.1.0-GA  without any problem with "persistence.xml". In my previous discusssion (at http://community.jboss.org/thread/160387), I thought the problem was only peculiar to JBoss-6.0.00CR, but jboss-6.0.0.Final continues to throw the same erorr as the following error shows:

 

12:05:42,291 INFO  [PersistenceUnitValueMetaData] iDependOn persistence.unit:unitName=jboss-ejb3-timerservice-mk2.jar#timerdb
12:05:42,480 ERROR [AbstractKernelController] Error installing to PreReal: name=vfs:///opt/jboss/jboss-6.0.0.Final/server/all/deploy/odmsEAR.ear state=PostClassLoader mode=Manual requiredState=PreReal: org.jboss.deployers.spi.DeploymentException: No module with relative path lib/odmsJPA.jar found  in set of modules for vfs:///opt/jboss/jboss-6.0.0.Final/server/all/deploy/odmsEAR.ear [odmsWeb.war, odmsEJB.jar]
at org.jboss.deployment.ModuleNameDeployer.establishUniqueModuleName(ModuleNameDeployer.java:163) [:6.0.0.Final]
at org.jboss.deployment.ModuleNameDeployer.deploy(ModuleNameDeployer.java:118) [:6.0.0.Final]

 


DEPLOYMENTS IN ERROR:
Deployment "vfs:///opt/jboss/jboss-6.0.0.Final/server/all/deploy/odmsEAR.ear" is in error due to the following reason(s): org.jboss.deployers.spi.DeploymentException: No module with relative path lib/odmsJPA.jar found  in set of modules for vfs:///opt/jboss/jboss-6.0.0.Final/server/all/deploy/odmsEAR.ear [odmsWeb.war, odmsEJB.jar]

 


[my-ear]

 

- [lib]     
|- odmsJPA.jar  [ contains the "persistence.xml", which works when removed and placed under my-ear/META-INF/]     
|- odmsUtils.jar 
- [META-INF]      
|- application.xml     
|- jboss-application.xml 
- odmsEJB.jar 
- odmsWeb.jar 
- odmsEJBClient.jar

 

Anyone facing the same problem?

 

Thanks